/* This file is part of Cloudy and is copyright (C) 1978-2007 by Gary J. Ferland.
 * For conditions of distribution and use, see copyright notice in license.txt */

/**called by cdDrive, this returns 0 if things went ok, 1 for disaster*/
bool grid_do(void);

/**gridXspec
\param xc[]
\param nInterpVars
*/
void gridXspec(float *, long);

/**GridInitialize
*/
void GridInitialize( void );
/**GridGather
*/
void GridGather( void );

#define NUM_OUTPUT_TYPES	11

EXTERN struct t_grid
{
	float *Energies;
	float ***Spectra;
	char **paramNames;
	long *paramMethods;
	float **paramRange,
		**paramData,
		**interpParameters;

	float paramIncrements[LIMPAR];
		
	bool lgGrid, lgGridDone;

	long nintparm,
		naddparm,
		numEnergies,
		numParamValues[LIMPAR],
		totNumModels;

	bool lgOutputTypeOn[NUM_OUTPUT_TYPES];

} grid;
