/* This file is part of Cloudy and is copyright (C)1978-2007 by Gary J. Ferland
 * For conditions of distribution and use see copyright notice in license.txt */
/*ParseState save or recover previous state of the code */
#include "cddefines.h"
#include "parse.h"
#include "state.h"

/*ParseState save or recover previous state of the code */
void ParseState(char *chCard)
{
	char chFilename[INPUT_LINE_LENGTH];

	DEBUG_ENTRY( "ParseState()" );

	/* 
	 * get file name for this punch output.
	 * GetQuote does the following -
	 * first copy original version of file name into chLabel, 
	 * string does include null termination.
	 * set filename in OrgCard and second parameter to spaces so 
	 * that not picked up below as keyword
	 * last parameter says to abort if no quote found 
	 */
	GetQuote( chFilename , chCard , true );

	/* option to print all contents of arrays - BIG PRINTOUT! */
	if( nMatch("PRIN",chCard) )
		state.lgState_print = true;

	if( nMatch(" GET",chCard) )
	{
#		if 0
		if( (state.ioGET_STATE = fopen( chFilename , "rb" ))==NULL )
		{
			fprintf( ioQQQ, " ParseState cannot open %s for reading.\n Sorry.", chFilename );
			puts( "[Stop in ParseState]" );
			cdEXIT(EXIT_FAILURE);
		}
#		endif
		state.lgGet_state = true;
		strcpy( state.chGetFilename , chFilename );
	}
	else if( nMatch(" PUT",chCard) )
	{
#		if 0
		if( (state.ioPUT_STATE = fopen( chFilename , "wb" ))==NULL )
		{
			fprintf( ioQQQ, " ParseState cannot open %s for writing.\n Sorry.", chFilename );
			puts( "[Stop in ParseState]" );
			cdEXIT(EXIT_FAILURE);
		}
#		endif
		state.lgPut_state = true;
		strcpy( state.chPutFilename , chFilename );
		/* look for keyword ALL - says want to save state for all iterations,
		 * default is last iteration */
		if( nMatch(" ALL",chCard) )
		{
			state.lgPutAll = true;
		}
		else
		{
			state.lgPutAll = false;
		}
	}

	else
	{
		fprintf( ioQQQ, " The STATE command has two keywords, GET and PUT.  One must appear - I did not see it.\n Sorry.\n" );
		puts( "[Stop in ParseState]" );
		cdEXIT(EXIT_FAILURE);
	}

	DEBUG_EXIT( "ParseState()" );
	return;
}

